Create MCP Server
curl --request POST \
--url https://api.example.com/api/mcps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"env": {},
"enabled": true
}
'import requests
url = "https://api.example.com/api/mcps"
payload = {
"name": "<string>",
"command": "<string>",
"args": ["<string>"],
"env": {},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
command: '<string>',
args: ['<string>'],
env: {},
enabled: true
})
};
fetch('https://api.example.com/api/mcps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"enabled": true,
"created_at": "<string>",
"updated_at": "<string>",
"env": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}MCP servers
Create MCP Server
Create a new MCP server configuration.
POST
/
api
/
mcps
Create MCP Server
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Pydantic model for MCP server CRUD operations.
Response
Successful Response
Response model for MCP server configs returned from the API.
Unique identifier of the MCP server.
Human-readable name for this MCP server.
Executable command, such as npx or node.
Command arguments.
Whether this MCP server is active.
ISO 8601 timestamp when the MCP server was created.
ISO 8601 timestamp when the MCP server was last updated.
Environment variables.
Show child attributes
Show child attributes
Was this page helpful?

